Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx
Class TypedObjectNameFactory

    java.lang.Object
      org.picocontainer.gems.jmx.AbstractObjectNameFactory
          org.picocontainer.gems.jmx.TypedObjectNameFactory

All Implemented Interfaces:
  ObjectNameFactory

    public class TypedObjectNameFactory

extends AbstractObjectNameFactory

An ObjectNameFactory, that uses the type of the `DynamicMBean` implementation to register. The value of the type is the name of the implementation class without the package name.

Author:
  Jörg Schaible

Constructor Summary
`TypedObjectNameFactory()` Construct a TypedObjectNameFactory using the default domain.
`TypedObjectNameFactory(String domain)` Construct a TypedObjectNameFactory with a predefined domain.

Method Summary
`ObjectName` | `create(Object key, DynamicMBean mBean)` Create an `ObjectName` with the class name of the MBean implementation as key type.

Methods inherited from class org.picocontainer.gems.jmx.AbstractObjectNameFactory
`getDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedObjectNameFactory

    public TypedObjectNameFactory()

  Construct a TypedObjectNameFactory using the default domain. Using `TypedObjectNameFactory(null)` is equivalent.

### TypedObjectNameFactory

    public TypedObjectNameFactory(String domain)

  Construct a TypedObjectNameFactory with a predefined domain.

  Parameters:
    `domain` - The domain.

Method Detail

### create

    public ObjectName create(Object key,
                             DynamicMBean mBean)
                      throws MalformedObjectNameException

  Create an `ObjectName` with the class name of the MBean implementation as key type.

  Parameters:
    `key` - The key of the component within PicoContainer.
    `mBean` - The instance of the DynamicMBean.
  Returns:
    Returns the Object Name for the DynamicMBean.
  Throws:
    `MalformedObjectNameException` - Thrown for an invalid part in the `ObjectName`.
  See Also:
    `ObjectNameFactory.create(java.lang.Object, javax.management.DynamicMBean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.